Retrieve collection views
Query Parameters
The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.
Default:1000
Cursor mark returned in the response headers to be used for pagination purposes.
Default:0
Retrieve view events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.
Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.
Response
200 application/json
Response
Successful response
Example:DA621393-F40F-5C39-BC7555DEE3C2D6D1
Example:2021-11-15T10:07:57.781+00:00
Example:936280dd-b06e-44be-ae9f-85e2661510a1
Example:CollectionViewed
Example:true
Example:Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)
Example:1A84D758-2B3A-141F-8F07D71AA1F223BD
Example:portal
Authentication
Query Parameters
Reporting
These endpoints provide reporting capabilities for assets of the DAM, making it easier to build your own customised reports.
Retrieve asset reports
This endpoint allows you to retrieve a human readable report of any of the assets in the DAM. The report will include all the metadata of the asset.
Query Parameters
The maximum number of asset reports to retrieve. Allowed values are between 1 and 10000.
Default:1000
Cursor mark returned in the response headers to be used for pagination purposes.
Default:MA
Retrieve reports of assets created after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.
Set a date range together with the “fromDateCreated” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.
Retrieve reports of assets modified after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.
Set a date range together with the “fromDateModified” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.
Response
200 application/json
Response
Successful response
Example:3DF53D46-4E72-47A0-A42ECC22CDE211D5
Example:ACCEPTED
Example:2018-12-21T13:11:46.000+00:00
Example:2019-01-04T13:19:47.000+00:00
Example:2016-12-29T10:39:52.000+00:00
Example:2019-01-04T13:19:47.000+00:00
Example:Asset Description
Example:6bb400d042cfe865
Example:true
Example:{"metaproperty_1":"option3","metaproperty_2":"option2, option1","metaproperty_3":""}
Example:Asset 1
Example:56033317620
Example:image
Example:00000000-0000-0000-0000000000000000
Example:00000000-0000-0000-0000000000000000
Authentication
Query Parameters
Retrieve specific asset report
This endpoint allows you to retrieve a human readable report for a specific asset in the DAM. The report will include all the metadata of the asset.
Path Parameters
Asset id.
Example:CD729A10-9101-47C7-9D14FA2E14CF28D9
Response
200 application/json
Response
Successful response
Example:CD729A10-9101-47C7-9D14FA2E14CF28D9
Example:ACCEPTED
Example:2019-03-31T23:59:40.000+00:00
Example:2020-12-04T21:18:27.000+00:00
Example:2019-03-31T23:55:21.000+00:00
Example:Asset 2 description
Example:792e23855f02cdcb
Example:{"metaproperty_1":"option3","metaproperty_2":"option2, option1","metaproperty_3":""}
Example:Asset 2
Example:56033317620
Example:image
Example:4BE80C1E-D8FF-4104-8CF774F06B1E60CE
Example:00000000-0000-0000-0000000000000000
Authentication
Path Parameters
Historical Data
This endpoint provides historical Analytics data beyond the 12 month retention period that applies to the Analytics API endpoints. Note: This data isn’t available by default. Please, contact your CSM if you require access to it.